events.listen("recipes", function (e) {
  function CuissonCuve(item, fluid) {
    //fonction cuisson blazing
    e.custom({
      type: "tconstruct:ore_melting",
      ingredient: {
        item: item,
      },
      result: {
        fluid: fluid,
        amount: 144,
      },
      temperature: 1500,
      time: 85,
    });
  }
  CuissonCuve("create:crushed_iron_ore", "tconstruct:molten_iron");
  CuissonCuve("create:crushed_gold_ore", "tconstruct:molten_gold");
  CuissonCuve("create:crushed_copper_ore", "alltheores:molten_copper");
  CuissonCuve("create:crushed_zinc_ore", "alltheores:molten_zinc");
  CuissonCuve("create:crushed_brass", "tconstruct:molten_brass");
  CuissonCuve("create:crushed_osmium_ore", "alltheores:molten_osmium");
  CuissonCuve("create:crushed_platinum_ore", "alltheores:molten_platinum");
  CuissonCuve("create:crushed_silver_ore", "alltheores:molten_silver");
  CuissonCuve("create:crushed_tin_ore", "alltheores:molten_tin");
  CuissonCuve("create:crushed_lead_ore", "alltheores:molten_lead");
  CuissonCuve("create:crushed_aluminum_ore", "alltheores:molten_aluminum");
  CuissonCuve("create:crushed_uranium_ore", "alltheores:molten_uranium");
  CuissonCuve("create:crushed_nickel_ore", "alltheores:molten_nickel");
});
